﻿@model CartDto

@if (TempData["Error"] != null)

    {
    <div class="alert alert-warning" role="alert">@TempData["Error"]</div>
}

@if (Model != null && Model.CartDetails.Any())
{
    <form method="post">
        <input asp-for="CartHeader.UserId" hidden="hidden"/>
        <input asp-for="CartHeader.CartHeaderId" hidden="hidden"/>
        <input asp-for="CartHeader.CouponCode" hidden="hidden"/>
        <input asp-for="CartHeader.OrderTotal" hidden="hidden"/>
        <input asp-for="CartHeader.DiscountTotal" hidden="hidden"/>

        <div>
            <span style="font-size:25px;" class="text-warning">Enter details and place order :</span>
            <br/>
        </div>
        <div class="border mt-2">
            <div class="container row">
                <div class="col-7">
                    <div class="row">
                        <div class="col-12">
                            <label class="col-form-label">First Name :</label>
                            <input asp-for="CartHeader.FirstName" class="form-control"/>
                        </div>
                        <div class="col-12">
                            <label class="col-form-label">Last Name :</label>
                            <input asp-for="CartHeader.LastName" class="form-control"/>
                        </div>
                        <div class="col-12">
                            <label class="col-form-label">Email :</label>
                            <input asp-for="CartHeader.Email" class="form-control"/>
                        </div>
                        <div class="col-12">
                            <label class="col-form-label">Phone :</label>
                            <input asp-for="CartHeader.Phone" class="form-control"/>
                        </div>
                        <div class="col-12">
                            <label class="col-form-label">PickUp Time</label>
                            <input asp-for="CartHeader.PickupDateTime" class="form-control form_datetime" type="text">
                        </div>
                        <div class="col-12">
                            <label class="col-form-label">Card Number :</label>
                            <input asp-for="CartHeader.CardNumber" class="form-control"/>
                        </div>

                        <div class="col-12">
                            <label class="col-form-label">CVV :</label>
                            <input asp-for="CartHeader.Cvv" class="form-control"/>
                        </div>

                        <div class="col-12 pb-4">
                            <label class="col-form-label">Expiry :</label>
                            <input asp-for="CartHeader.ExpiryMonthYear" placeholder="MMYY" class="form-control"/>
                        </div>
                    </div>
                </div>
                <div class="col-5">
                    <div class="card mt-4">
                        <div class="card-body">
                            <div class=" d-none d-lg-block">
                                <div class="row text-danger">
                                    <div class="col-6">
                                        Product Details
                                    </div>

                                    <div class="col-3">
                                        Price
                                    </div>
                                    <div class="col-3">
                                        Count
                                    </div>
                                </div>
                            </div>

                            <hr/>

                            @foreach (var cartDetail in Model.CartDetails)
                            {
                                <div class="row h-100">
                                    <div class="col-6">
                                        <span style="font-size:20px">@cartDetail.Product.Name</span>
                                    </div>

                                    <div class="col-3" style="font-size:11px;">
                                        <span style="font-size:17px;"> @($"{cartDetail.Product.Price:c}")</span>

                                    </div>
                                    <div class="col-3" style="font-size:11px;">
                                        <span style="font-size:17px;">@cartDetail.Count</span>
                                    </div>
                                </div>
                                <hr/>
                            }
                            <div class="row">
                                <div class="col-12 text-right pr-4 text-danger">
                                    Order Total : @($"{Model.CartHeader.OrderTotal:c}") <br/>
                                    @if (Model.CartHeader.DiscountTotal > 0)
                                     {
                                        <span class="text-success">Discount: @($"{Model.CartHeader.DiscountTotal:c}") <br/></span>
        
                                     }
                                </div>
                            </div>

                        </div>
                        <div class="card-footer">
                            <div class="row">

                                <div class="col-12 ">
                                    <button type="submit" class="btn btn-success form-control ">
                                        <span>Place Order</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
}

@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function (){
            $(".form_datetime").datetimepicker({format: 'yyyy-mm-dd hh:ii'});    
            $(".form_datetime").datetimepicker('setStartDate',new Date());    
        });
    </script>
}
